assets_paths initializer fails calling generate_railtie_name on Rails 4.2
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Rails   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3231

  

Description

On Rails 4.2, a railtie is getting added that has no name.  This causes our initialiser that checks for deprecated engine initialisers to

fail on Rails startup with the following error:

/home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/railties-4.2.5.1/lib/rails/railtie.rb:187:in `

generate_railtie_name': undefined method `tr' for nil:NilClass (NoMethodError)

        from /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/railties-4.2.5.1/lib/rails/railti

e.rb:165:in `railtie_name'

        from /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/railties-4.2.5.1/lib/rails/railti

e.rb:201:in `railtie_name'

        from /home/dcleal/code/foreman/foreman/config/initializers/assets_paths.rb:9:in `block in 

<top (required)>'

        from /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/railties-4.2.5.1/lib/rails/engine

/railties.rb:13:in `each'

        from /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/railties-4.2.5.1/lib/rails/engine

/railties.rb:13:in `each'

        from /home/dcleal/code/foreman/foreman/config/initializers/assets_paths.rb:9:in `select'

        from /home/dcleal/code/foreman/foreman/config/initializers/assets_paths.rb:9:in `<top (req

uired)>'

 Debug shows:

> Rails.application.railties.find { |e| e.class.name.nil? }.inspect

#<#<Class:0x00000002f84f88>:0x00000005c678e8 @initializers=[]>

 Handling of this can be backported safely to develop.

Related issues:

Blocks Foreman - Feature #13244: Upgrade Ruby on Rails to 4.2 Closed 01/15/2016

Associated revisions

Revision 554107ca - 03/01/2016 06:40 AM - Dominic Cleal

fixes #13878 - handle anonymous railtie classes seen on Rails 4.2

History

#1 - 02/24/2016 10:24 AM - Dominic Cleal

- Blocks Feature #13244: Upgrade Ruby on Rails to 4.2 added

#2 - 02/24/2016 10:29 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3231 added

#3 - 03/01/2016 07:01 AM - Dominic Cleal

05/21/2024 1/2



- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 554107ca2b7d102b46a98bf1927bb10a7400f43e.

#4 - 03/01/2016 10:37 AM - Dominic Cleal

- translation missing: en.field_release set to 136
